function fullload(){
    // Função para carregar jQuery se não estiver carregado
    function loadjQuery() {
        const script = document.createElement('script');
        script.src = 'https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js';
        script.type = 'text/javascript';
        script.onload = function() {
            console.log('jQuery carregado com sucesso.');
            initTracking();
        };
        document.getElementsByTagName('head')[0].appendChild(script);
    }

    // Verifica se jQuery está ativo
    if (typeof jQuery === 'undefined') {
        console.log('jQuery não está carregado, carregando agora...');
        loadjQuery();

window.setTimeout(function() {
fullload()
}, 1000);

    } else {
        console.log('jQuery já está carregado.');
        initTracking();
    }

    function initTracking() {

        let startTime = new Date().getTime();
        let currentPage = window.location.href;
        const email = localStorage.getItem('user_email') || '';
        const email_temp = localStorage.getItem('temp_id') || 'temp_' + new Date().getTime();
        const crm  = localStorage.getItem('user_crm') || '';
        const uf   = localStorage.getItem('user_uf') || '';
        const nome = localStorage.getItem('user_nome') || '';

        if (!email && !localStorage.getItem('temp_id')) {
            localStorage.setItem('temp_id', email_temp);
        }

        function captureTimeSpentInsert() {
            const timeSpent = Math.floor((new Date().getTime() - startTime) / 1000);
            sendTrackingDataInsert(email, currentPage, timeSpent, email_temp, crm, uf, nome);
            startTime = new Date().getTime(); // Reinicia o tempo
            currentPage = window.location.href; // Atualiza a URL
        }

        function captureTimeSpentUpdate() {
            const timeSpent = Math.floor((new Date().getTime() - startTime) / 1000);
            sendTrackingDataUpdate(email, currentPage, timeSpent, email_temp);
            startTime = new Date().getTime(); // Reinicia o tempo
            currentPage = window.location.href; // Atualiza a URL
        }

        function sendTrackingDataInsert(email, url, timeSpent, email_temp, crm, uf, nome) {

            console.log('Track: nome: ' + nome + ' email: ' + email + ' emailtemp: ' + email_temp + ' crm: ' + crm + ' uf: ' + uf);

             query = 'inserttrack=true&url=' + url + '&email=' + email + '&timeSpent=' + timeSpent + '&emailtemp=' + email_temp + '&insertcrm=' + crm + '&insertuf=' + uf + '&insertnome=' + nome;

            jQuery.ajax({
                type: 'POST',
                url: 'https://adiumsaude.com.br/dashboard-vertsmed/',
                data: query,
                success: function(d) {
                    console.log(d);
                }
            });
        }

        function sendTrackingDataUpdate(email, url, timeSpent, email_temp) {

             query = 'updatetrack=true&url=' + url + '&email=' + email + '&timeSpent=' + timeSpent + '&emailtemp=' + email_temp;

            jQuery.ajax({
                type: 'POST',
                url: 'https://adiumsaude.com.br/dashboard-vertsmed/',
                data: query,
                success: function(d) {
                    console.log(d);
                }
            });
        }

        jQuery("#um-submit-btn").on("click", function() {
           
          if(jQuery('#numero_cedula-19253').length){

          localStorage.setItem('user_crm',  jQuery('#numero_cedula-19253').val());
          localStorage.setItem('user_uf',  jQuery('#codigo_medico-19253').val());
          localStorage.setItem('user_nome',  jQuery('#first_name-19253').val());
           
            const emailElement = jQuery('#user_email-19253');
            const newEmail     = emailElement.val().trim();

            if (newEmail.includes('@')) {
                localStorage.setItem('user_email', newEmail);
                captureTimeSpentUpdate(); // Captura o tempo da última página visitada
            } else {
                console.error("O email fornecido não é válido.");
            }


           }else{

            const emailElement = jQuery('#username-19254');
            const newEmail = emailElement.val().trim();

            if (newEmail.includes('@')) {
                localStorage.setItem('user_email', newEmail);
                captureTimeSpentUpdate(); // Captura o tempo da última página visitada
            } else {
                console.error("O email fornecido não é válido.");
            }

          }


        });

        jQuery('.login-btn-in').on('click', function() {
            localStorage.removeItem('user_email');
            localStorage.removeItem('temp_id');
            localStorage.removeItem('user_crm');
            localStorage.removeItem('user_uf');
            localStorage.removeItem('user_nome');
            console.log('Sessão encerrada e localStorage limpo.');
        });

  window.addEventListener('beforeunload', captureTimeSpentUpdate);

  captureTimeSpentInsert()

    }

}

window.setTimeout(function() {
fullload()
}, 1000);
